Bug 981648 - Imported workspace not visible right away in the workspace chooser.
Imported workspace not visible right away in the workspace chooser.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Jan
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 07:54 EDT by Marek Baluch
Modified: 2014-08-06 16:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-07-05 07:54:38 EDT
Description of problem:

When importing a previously exported workspace then it's required to reload the page (refresh or click another link) to see the imported workspace in the workspace chooser box.

How to reproduce:
1) duplicate "Showcase"
2) export "Copy of Showcase"
3) delete "Copy of Showcase"
4) hit "administration -> import and export"
5) import the file using the "Import Workspace" tab
6) hit import 2times
7) check the workspace chooser when loading "wheel" disappears.
Comment 1 Jan 2013-09-04 05:26:54 EDT
The ajax call that was in place for the final import command has been removed, enforcing complete screen refresh afterwards, which shows the dropdown with updated values.
Comment 2 Jan 2013-09-04 05:28:04 EDT
Fix has been implemented in the following commits:

master: ac83f349b93004bd139ca9c49d70ceb199dcd88e
6.0.x: 1b5ace2895ce4c72c1f956395283fcb816870759
Comment 6 Jan Hrcek 2013-10-15 08:58:52 EDT
Verified with BPMS 6.0.0 ER4

Note You need to log in before you can comment on or make changes to this bug.